class MaintenanceAction {
    MaintenancePolicy maintenancePolicy
    PlannedMaintenance plannedMaintenance
    SystemSection systemSection
    Asset asset
    AssetType assetType
    Assembly assembly
    SubAssembly subAssembly
    ComponentItem componentItem
    String description
    String reasoning = ""
    boolean isActive = true

//     static hasMany = []

    static belongsTo = [PlannedMaintenance]

    static constraints = {
        systemSection(blank:true, nullable:true)
        asset(blank:true, nullable:true)
        assetType(blank:true, nullable:true)
        assembly(blank:true, nullable:true)
        subAssembly(blank:true, nullable:true)
        componentItem(blank:true, nullable:true)
    }

    String toString() {
        "${this.description}"
    }
}

